@ECHO OFF
CLS
ECHO NBA Live 2001 Current Rosters v3
ECHO --------------------------------
ECHO.
ECHO Copyright (c) 1995-2001 by TASsoft, All Rights Reserved
ECHO Written by Lutz van Hasselt
ECHO Send ALL Feedback about this Patch to: rosters@NBA-Live.com
ECHO.
IF NOT EXIST players.dbf GOTO error1
IF NOT EXIST players.001 GOTO error1
IF NOT EXIST players.002 GOTO error1
IF NOT EXIST save.dat GOTO error1
IF NOT EXIST save.001 GOTO error1
IF NOT EXIST save.002 GOTO error1
IF NOT EXIST career.dbf GOTO error1
IF NOT EXIST location.dbf GOTO error1
IF NOT EXIST teams.dbf GOTO error1
IF NOT EXIST salaryx.ini GOTO error1
IF NOT EXIST nbawin.exe GOTO error2
ECHO Make sure you are in the main NBA Live 2001 directory.
ECHO.
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO NOTE: If you already have the directories 000, 001 or 002 in your
ECHO       NBA2001\SAVES directory, please rename them BEFORE
ECHO       installing this patch.
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO.
ECHO Please have a look at UPDATE.TXT for more detailed information.
ECHO.
ECHO You can press CRTL-C at any time to abort.
ECHO.
PAUSE
ECHO Installing...
IF NOT EXIST saves\000\players.dbf MD saves > NUL
IF NOT EXIST saves\000\players.dbf MD saves\000 > NUL
MOVE players.dbf saves\000 > NUL
MOVE save.dat saves\000 > NUL
COPY career.dbf saves\000 > NUL
IF NOT EXIST saves\001\players.dbf MD saves\001 > NUL
MOVE players.001 saves\001\players.dbf > NUL
MOVE save.001 saves\001\save.dat > NUL
MOVE career.dbf saves\001 > NUL
IF NOT EXIST saves\002\players.dbf MD saves\002 > NUL
MOVE players.002 saves\002\players.dbf > NUL
MOVE save.002 saves\002\save.dat > NUL
MOVE career.dbf saves\002 > NUL
COPY location.dbf db\origdb > NUL
COPY location.dbf db\curdb > NUL
COPY teams.dbf db\origdb > NUL
COPY teams.dbf db\curdb > NUL
MOVE location.dbf db\workdb > NUL
MOVE teams.dbf db\workdb > NUL
MOVE salaryx.ini salary.ini > NUL
ECHO.
ECHO The Installation finished succesfully!
ECHO.
ECHO To load a Roster, click on FILES in the Main Menu and select
ECHO 'NLSC 00-01', 'NLSC PLAYOFF' or 'NLSC 01-02'.
ECHO.
GOTO end
:error1
ECHO ERROR: One or more files that are needed for Installation are missing.
ECHO.
ECHO Please make sure that you have extracted ALL files from the Zip File.
ECHO.
ECHO If you need more help on Zip Files and Unzipping, please check out the
ECHO Help and FAQ section at The NLSC (http://www.NBA-Live.com)
ECHO.
GOTO end
:error2
ECHO ERROR: You are not in the main NBA Live 2001 Directory.
ECHO.
ECHO If you have trouble locating the main NBA Live 2001 Directory on
ECHO your HD, search for the file 'nbawin.exe' (without the quotes) on
ECHO your computer and note the folder it is in. This is your main
ECHO NBA Live 2001 Directory.
ECHO.
ECHO Make sure to COPY the files to that directory instead of
ECHO making Links. Consult the Windows 95/98 Online Help for more
ECHO info on how to do that.
ECHO.
GOTO end
:end
